pgpool-II 4.3.7 Documentation
Prev | Up |  | Next

# pcp_watchdog_info

## Name

pcp_watchdog_info -- displays the watchdog status of the Pgpool-II

## Synopsis

`pcp_watchdog_info` [`options`...] [`watchdog_id`]

## Description

`pcp_watchdog_info` displays the information on the given node ID.

## Options

`-n `watchdog_id``
`--node-id=`watchdog_id``

  The index of other Pgpool-II to get information for.

  Index 0 gets one's self watchdog information.

  If omitted then gets information of all watchdog nodes.

`Other options`

  See pcp_common_options.

## Example

Here is an example output:

    $ pcp_watchdog_info -h localhost -p 9898 -U postgres
    Password:
    3 3 YES server1:9999 Linux server1.localdomain server1

    server1:9999 Linux server1.localdomain server1 9999 9000 4 LEADER 0 MEMBER
    server2:9999 Linux server2.localdomain server2 9999 9000 7 STANDBY 0 MEMBER
    server3:9999 Linux server3.localdomain server3 9999 9000 7 STANDBY 0 MEMBER

The result is in the following order:

        The first output line describes the watchdog cluster information:

        1. Total watchdog nodes in the cluster
        2. Total watchdog nodes in the cluster with active membership
        3. Local node's escalation status
        4. Leader node name
        5. Leader node host

        Next is the list of watchdog nodes:

        1. node name
        2. hostname
        3. pgpool port
        4. watchdog port
        5. current node state
        6. current node state name
        7. current cluster membership status
        8. current cluster membership status name

The `--verbose` option can help understand the output. For example:

    $ pcp_watchdog_info -h localhost -p 9898 -U pgpool -v
    Password:
    Watchdog Cluster Information
    Total Nodes              : 3
    Remote Nodes             : 2
    Member Remote Nodes      : 2
    Alive Remote Nodes       : 2
    Nodes required for quorum: 2
    Quorum state             : QUORUM EXIST
    Local node escalation    : YES
    Leader Node Name         : server1:9999 Linux server1.localdomain
    Leader Host Name         : server1

    Watchdog Node Information
    Node Name         : server1:9999 Linux server1.localdomain
    Host Name         : server1
    Delegate IP       : 192.168.56.150
    Pgpool port       : 9999
    Watchdog port     : 9000
    Node priority     : 1
    Status            : 4
    Status Name       : LEADER
    Membership Status : MEMBER

    Node Name         : server2:9999 Linux server2.localdomain
    Host Name         : server2
    Delegate IP       : 192.168.56.150
    Pgpool port       : 9999
    Watchdog port     : 9000
    Node priority     : 1
    Status            : 7
    Status Name       : STANDBY
    Membership Status : MEMBER

    Node Name         : server3:9999 Linux server3.localdomain
    Host Name         : server3
    Delegate IP       : 192.168.56.150
    Pgpool port       : 9999
    Watchdog port     : 9000
    Node priority     : 1
    Status            : 7
    Status Name       : STANDBY
    Membership Status : MEMBER

Prev | Home | Next
pcp_health_check_stats | Up | pcp_proc_count